%define upstream_name    Class-Method-Modifiers
%define upstream_version 2.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    provides Moose-like method modifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Method modifiers are a powerful feature from the CLOS (Common Lisp Object
System) world.

In its most basic form, a method modifier is just a method that calls
'$self->SUPER::foo(@_)'. I for one have trouble remembering that exact
invocation, so my classes seldom re-dispatch to their base classes. Very
bad!

'Class::Method::Modifiers' provides three modifiers: 'before', 'around',
and 'after'. 'before' and 'after' are run just before and after the method
they modify, but can not really affect that original method. 'around' is
run in place of the original method, with a hook to easily call that
original method. See the 'MODIFIERS' section for more details on how the
particular modifiers work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/Class

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 364455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.0.0-1.mga3
+ Revision: 341952
- update to 2.00

* Tue Nov 06 2012 jquelin <jquelin> 1.120.0-1.mga3
+ Revision: 314862
- update to 1.12

* Tue Jun 05 2012 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 254662
- update to 1.09

* Thu Nov 03 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 162182
- update to 1.08

* Fri Feb 25 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 59628
- update to 1.07

* Fri Jan 21 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 28404
- mageia rebuild
- cleaning spec file
- imported package perl-Class-Method-Modifiers

